Represents each one of the videos send and receive by a user in a session. Therefore each Publisher and Subscriber has an attribute of type Stream

### Hierarchy

- Stream

## Index

### Properties

- connection
- frameRate
- hasAudio
- hasVideo
- streamId
- typeOfVideo

## Properties

### connection

connection: Connection

- Defined in OpenVidu/Stream.ts:38

The Connection object that is publishing the stream

### Optional frameRate

frameRate: number

- Defined in OpenVidu/Stream.ts:43

Frame rate of the video in frames per second. This property is only defined if the Publisher of the stream was initialized passing a frameRate property on OpenVidu.initPublisher method

### hasAudio

hasAudio: boolean

- Defined in OpenVidu/Stream.ts:53

Whether the stream has an audio track or not

### hasVideo

hasVideo: boolean

- Defined in OpenVidu/Stream.ts:48

Whether the stream has a video track or not

### streamId

streamId: string

- Defined in OpenVidu/Stream.ts:58

Unique identifier of the stream

### Optional typeOfVideo

typeOfVideo: string

- Defined in OpenVidu/Stream.ts:63

`"CAMERA"` or `"SCREEN"`. undefined if stream is audio-only

Generated using TypeDoc